{% extends "wiki.html" %}
{% load i18n widget_tweaks %}

{% block head_css %}
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/simplemde/latest/simplemde.min.css">
{% endblock head_css %}

{% block header %}
    <header>
        <h1>Gestion des catégories</h1>
    </header>
{% endblock %}

{% block footer_javascript %}
    <script src="https://cdn.jsdelivr.net/npm/bootstrap-confirmation2@4.0.0/dist/bootstrap-confirmation.min.js"></script>
    <script type="application/javascript">
        $(document).ready(function () {
            $('[data-toggle=confirmation]').confirmation({
                rootSelector: '[data-toggle=confirmation]'
            });
            $('#modal').on('show.bs.modal', function (event) {
                let button = $(event.relatedTarget);
                let id = parseInt(button.attr('id'));
                let url = '{% url 'modification_categorie' 42 %}';
                url = url.replace('42', id);
                $.ajax({
                    url: url,
                    dataType: 'html',
                    success: function (data) {
                        $('#modal .modal-content').html(data);
                    }
                });
            });
        });
    </script>
{% endblock %}

{% block content %}
    <!-- Modal -->
    <div class="modal fade" id="modal" tabindex="-1" role="dialog" aria-labelledby="modalLabel" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <p>
                    Chargement ...
                </p>
            </div>
        </div>
    </div>

    <div class="container">
        <div class="main">
            <form method="POST" action="{% url 'gestion_categories' %}">
                {% csrf_token %}

                {% for field in form.visible_fields %}
                    <div class="form-group">
                        <label for="{{ field.id_for_label }}">{{ field.label }}</label>
                        {{ field|add_class:'form-control' }}
                        {% for error in field.errors %}
                            <span class="help-block">{{ error }}</span>
                        {% endfor %}
                    </div>
                {% endfor %}

                <div class="form-group">
                    <input type="submit" value="Ajouter"
                           class="btn btn-primary btn-block"/>
                    <input type="hidden" name="next" value="{{ next }}"/>
                </div>
            </form>

            <hr>

            {% for categorie in categories %}
                <div class="card card-lg">
                    <div class="row">
                        <div class="col-md-9">
                            <h3>{{ categorie.nom }}</h3>
                        </div>
                        <div class="col-md-1">
                            <button class="btn btn-outline-dark" data-toggle="modal" data-target="#modal"
                                    id="{{ categorie.id }}">
                                Modifier
                            </button>
                        </div>
                        <div class="col-md-1">
                            <a class="btn btn-danger delete" data-toggle="confirmation"
                               data-btn-ok-label="Oui!"
                               data-btn-cancel-label="Non" data-btn-cancel-class="btn-danger"
                               data-title="Êtes vous certains?"
                               style="color:white;"
                               href="{% url 'suppression_categorie' categorie.id %}">
                                Supprimer
                            </a>
                        </div>
                    </div>
                </div>
            {% endfor %}
        </div>
    </div>
{% endblock %}